package com.deekor.fingerpainting;

import android.content.Context;
import android.graphics.*;
import android.view.MotionEvent;
import android.view.View;
import android.graphics.Canvas;


/**
 * Created by Dee on 9/16/13.
 */
public class PaintView extends View
{

    private int color = Color.YELLOW;
    private boolean highlighted;

    public PaintView(Context context)
    {
        super(context);
        highlighted = false;
    }

    public void setPaintColor(int color)
    {
        this.color = color;
    }

    public void highlight()
    {
            setBackgroundColor(Color.WHITE);
            highlighted = true;
    }

    public void unHighlight()
    {
        highlighted = false;
        setBackgroundColor(0x00000000); //clear
    }

    public int currentColor()
    {
        return color;
    }

    @Override
    protected void onDraw(Canvas canvas)
    {
        RectF oval = new RectF(10,10,getWidth(),getHeight());
        Paint ovalColor = new Paint();
        ovalColor.setColor(color);
        canvas.drawOval(oval, ovalColor);
    }

}
